/* wrapper class for TreeMap to conform to BST interface */
import java.util.TreeMap;

public class EphemeralBST
	<K extends Comparable<? super K>, V> implements BST<K,V> {
	public TreeMap<K,V> t;
	EphemeralBST() {
		t = new TreeMap<K,V>();
	}
	
	public V search (K key) {
		return t.get(key);
	}
	public int insert (K key, V value) {
		t.put(key, value);
		return 0;
	}
	public int delete (K key) {
		t.remove(key);
		return 0;
	}
	
	public void rollback() {
	}
	
	public void clear() {
		t.clear();
	}
	
	public String toString() {
		return t.toString();
	}
}
